hpp-affordance: hpp::affordance::Support45Operation Class Reference

hpp-affordance 9.0.2 Implementation to Extract Whole-Body Affordances for Mutli-Contact Planning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::affordance::Support45Operation Class Reference
Affordance

`#include <hpp/affordance/operations.hh>`

Inheritance diagram for hpp::affordance::Support45Operation:
[legend]
Collaboration diagram for hpp::affordance::Support45Operation:
[legend]

## Public Member Functions
| Support45Operation (const double margin=0.3, const double nbTriMargin=0.3, const double minArea=0.05, const char *affordanceName="Support45")
Public Member Functions inherited from hpp::affordance::OperationBase
| OperationBase ()
| OperationBase (const double margin=0.3, const double nbTriMargin=0.3, const double minArea=0.05, const char *affordanceName="noAffordance")

## Additional Inherited Members
Public Attributes inherited from hpp::affordance::OperationBase
const coal::Vec3s | zWorld_
const double | margin_
| The error margin within which the requirement function must be fullfilled.
const double | neighbouringTriangleMargin_
const double | minArea_
const char * | affordance_
| Name of the affordance type for which te requirement exists.

## Detailed Description

Class that contains the information needed to create affordance objects of type Lean. Inherits the OperationBase class.

## Constructor & Destructor Documentation

## ◆ Support45Operation()

hpp::affordance::Support45Operation::Support45Operation | ( | const double | margin = 0.3,
|  | const double | nbTriMargin = 0.3,
|  | const double | minArea = 0.05,
|  | const char * | affordanceName = "Support45" )
| inline explicit

Constructor that takes in user-defined parameters

Parameters

  margin | Margin needed for the evaluation of the requirement function
  nbTriMargin | Margin between two triangles tested for a single affordance surface. If the angle between two triangles is greater than the provided margin, the triangles cannot be part of the same affordance surface.
  minArea | Minimum area needed for the formation of an affordance object
  affordanceName | The name of the affordance type

The documentation for this class was generated from the following file:

- include/hpp/affordance/operations.hh